Bug 105194 - Bitmap size keeps increasing after repeated opening and okaying Area fill dialog
Summary: Bitmap size keeps increasing after repeated opening and okaying Area fill dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Area-Fill-Tab-Bitmap
  Show dependency treegraph
 
Reported: 2017-01-08 18:43 UTC by Aron Budea
Modified: 2018-04-09 20:03 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2017-01-08 18:43:49 UTC
This is specific to the new dialog in 5.3. I used 5.3.0.1 / Windows 7.

1. Add a shape in Writer.
2. Right click shape, select Area...
3. Select Bitmap, click OK (note that W / H are 0% / 0%).
4. Reopen Area dialog.

=> Note how W / H are both 176% / 176%.

Repeatedly okaying and opening the dialog keeps increasing the W / H percentages by multiplying it with 176%.
Comment 1 Telesto 2017-01-08 19:18:37 UTC
Confirming with:
Version: 5.4.0.0.alpha0+
Build ID: 92a1ad1f36b6d3cc13135a8c0805508933011577
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-01-06_23:42:59
Locale: nl-NL (nl_NL); Calc: CL

and with
Versie: 5.3.0.0.alpha1 
Build ID: f4ca1573fcf445164c068c1046ab5d084e1b005f
CPU Threads: 4; Versie besturingssysteem:Windows 6.2; UI Render: standaard; 
Locale: nl-NL (nl_NL); Calc: CL

but not with
Versie: 5.2.4.1 
Build ID: 9b50003582f07ac674d6451e411e9b77cccd2b22
CPU Threads: 4; Versie besturingssysteem:Windows 6.2; UI Render: standaard; 
Locale: nl-NL (nl_NL); Calc: CL
Comment 2 Telesto 2017-06-13 15:02:49 UTC
Seems to affect Patterns to:
1. Open Writer
2. Right Click -> Page ->  Area Tab -> Pattern - Select a pattern and press OK
4. Right Click -> Page ->  Area Tab -> Bitmap- Select bitmap and press OK (bitmap is zoomed in 176% / 176%. )
5. Right Click -> Page ->  Area Tab -> Pattern - Select a pattern. The pattern is now also enlarged.
Comment 3 Katarina Behrens (Inactive) 2018-04-08 13:04:36 UTC
Hello good people, 

so I've done some larger cleanup in bitmap tab and this issue might be fixed. Hard to link specific commit to specific issue, it could've been any or all of:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=b85691995e7b1a1aadf714c34e7fe6b9cd3206d8
https://cgit.freedesktop.org/libreoffice/core/commit/?id=177dbe968b5af1c548be9f52178daa528edc2aab
https://cgit.freedesktop.org/libreoffice/core/commit/?id=d2c8766a5e827e53f8f34893ff3d82a0df252f30
https://cgit.freedesktop.org/libreoffice/core/commit/?id=3a30799e377004f77ddcf5c1d6b62ca3e62c0905

So if you could please take a daily (no older than 9th of March 2018), re-test your issue and if fixed, close accordingly. If you happen to find additional issues (different from the orig one), please file a new bug and avoid bugfix creep. Thank you.
Comment 4 Telesto 2018-04-09 16:09:40 UTC
No repro with
Version: 6.1.0.0.alpha0+
Build ID: d39a8e791618a40328c0f90bece3cc246dcf57f7
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-04-05_23:46:48
Locale: nl-NL (nl_NL); Calc: CL
Comment 5 Katarina Behrens (Inactive) 2018-04-09 20:03:56 UTC
So let's consider this fixed